unit Input;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TDataForm = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Edit2: TEdit;
    Label3: TLabel;
    Edit3: TEdit;
    Label4: TLabel;
    Edit4: TEdit;
    Label5: TLabel;
    Edit5: TEdit;
    Label6: TLabel;
    Edit6: TEdit;
    Label7: TLabel;
    Edit7: TEdit;
    Label8: TLabel;
    Edit8: TEdit;
    Label9: TLabel;
    Edit9: TEdit;
    Label10: TLabel;
    Edit10: TEdit;
    Label11: TLabel;
    Edit11: TEdit;
    Label12: TLabel;
    Edit12: TEdit;
    Label13: TLabel;
    Edit13: TEdit;
    Edit14: TEdit;
    Label14: TLabel;
    Label15: TLabel;
    Edit15: TEdit;
    Label16: TLabel;
    Edit16: TEdit;
    Edit17: TEdit;
    Label17: TLabel;
    Label18: TLabel;
    Edit18: TEdit;
    Edit19: TEdit;
    Label19: TLabel;
    Label20: TLabel;
    Edit20: TEdit;
    Edit21: TEdit;
    Label21: TLabel;
    Label22: TLabel;
    Edit22: TEdit;
    Button1: TButton;
    Button2: TButton;
    SaveDialog2: TSaveDialog;
    Label23: TLabel;
    Edit23: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DataForm: TDataForm;
  F:TextFile;
  Changed1:boolean;
  s2:string;

implementation
uses Main;
{$R *.DFM}

procedure CheckOff;
begin
 Main.Readed:=False;
 Form1.MCalc.Enabled:=False;
 Form1.Memo1.Enabled:=False;
end;

procedure CheckOn;
begin
 Main.Readed:=True;
 Form1.MCalc.Enabled:=True;
 Form1.Memo1.Enabled:=True;
 Form1.Memo1.Lines.Clear;
end;

procedure TDataForm.Button1Click(Sender: TObject);
var Ext:String;
begin
 try
  Main.Uvb:=StrToFloat(Trim(Edit1.Text));
  Main.Unb:=StrToFloat(Trim(Edit2.Text));
  Main.Dno:=StrToFloat(Trim(Edit3.Text));
  Main.Gp:=StrToFloat(Trim(Edit4.Text));
  Main.m1:=StrToFloat(Trim(Edit5.Text));
  Main.m2:=StrToFloat(Trim(Edit6.Text));
  Main.b:=StrToFloat(Trim(Edit7.Text));
  Main.Kfp:=StrToFloat(Trim(Edit8.Text));
  Main.Fip1:=StrToFloat(Trim(Edit9.Text));
  Main.Fip2:=StrToFloat(Trim(Edit10.Text));
  Main.Fip3:=StrToFloat(Trim(Edit11.Text));
  Main.Cp1:=StrToFloat(Trim(Edit12.Text));
  Main.Cp2:=StrToFloat(Trim(Edit13.Text));
  Main.Cp3:=StrToFloat(Trim(Edit14.Text));
  Main.GammaP1:=StrToFloat(Trim(Edit15.Text));
  Main.GammaP2:=StrToFloat(Trim(Edit16.Text));
  Main.GammaOS:=StrToFloat(Trim(Edit17.Text));
  Main.GammaVod:=StrToFloat(Trim(Edit18.Text));
  Main.n:=StrToFloat(Trim(Edit19.Text));
  Main.Kdop:=StrToFloat(Trim(Edit20.Text));
  Main.L:=StrToFloat(Trim(Edit21.Text));
  Main.T:=StrToFloat(Trim(Edit22.Text));
  Main.Hpr:=StrToFloat(Trim(Edit23.Text));
 except
  on EOverflow do begin
   ShowMessage ('   - !');
   CheckOff;
   Exit;
  end;
  on EConvertError do begin
   ShowMessage ('   -   !');
   CheckOff;
   Exit;
  end;
 end;
 CheckOn;
 SaveDialog2.InitialDir:=GetCurrentDir;
 if Changed1=True then begin
  if Application.MessageBox(
        '    -  ?',
        ' ',MB_OKCANCEL) = IDOK then
  if SaveDialog2.Execute then begin
   Ext := ExtractFileExt(SaveDialog2.FileName);
   if Ext='' then SaveDialog2.FileName:=SaveDialog2.FileName+'.dat';
   AssignFile(F, SaveDialog2.FileName);
   ReWrite(F);
   s2:=FloatToStrF(Main.Uvb,ffFixed,15,2); Writeln (f,Trim(s2),' ;Uvb');
   s2:=FloatToStrF(Main.Unb,ffFixed,15,2);Writeln (f,Trim(s2),' ;Unb');
   s2:=FloatToStrF(Main.Dno,ffFixed,15,2);Writeln (f,Trim(s2),' ;Dno');
   s2:=FloatToStrF(Main.Gp,ffFixed,15,2);Writeln (f,Trim(s2),' ;Gp');
   s2:=FloatToStrF(Main.m1,ffFixed,15,2);Writeln (f,Trim(s2),' ;m1');
   s2:=FloatToStrF(Main.m2,ffFixed,15,2);Writeln (f,Trim(s2),' ;m2');
   s2:=FloatToStrF(Main.b,ffFixed,15,2);Writeln (f,Trim(s2),' ;b');
   s2:=FloatToStrF(Main.Kfp,ffFixed,15,9);Writeln (f,Trim(s2),' ;Kfp3');
   s2:=FloatToStrF(Main.Fip1,ffFixed,15,2);Writeln (f,Trim(s2),' ;fip1');
   s2:=FloatToStrF(Main.Fip2,ffFixed,15,2);Writeln (f,Trim(s2),' ;fip2');
   s2:=FloatToStrF(Main.Fip3,ffFixed,15,2);Writeln (f,Trim(s2),' ;fip3');
   s2:=FloatToStrF(Main.Cp1,ffFixed,15,2);Writeln (f,Trim(s2),' ;Cp1');
   s2:=FloatToStrF(Main.Cp2,ffFixed,15,2);Writeln (f,Trim(s2),' ;Cp2');
   s2:=FloatToStrF(Main.Cp3,ffFixed,15,2);Writeln (f,Trim(s2),' ;Cp3');
   s2:=FloatToStrF(Main.GammaP1,ffFixed,15,2);Writeln (f,Trim(s2),' ;GammaP1');
   s2:=FloatToStrF(Main.GammaP2,ffFixed,15,2);Writeln (f,Trim(s2),' ;GammaP2');
   s2:=FloatToStrF(Main.GammaOS,ffFixed,15,2);Writeln (f,Trim(s2),' ;GammaOS');
   s2:=FloatToStrF(Main.GammaVod,ffFixed,15,2);Writeln (f,Trim(s2),' ;GammaVod');
   s2:=FloatToStrF(Main.n,ffFixed,15,2);Writeln (f,Trim(s2),' ;n');
   s2:=FloatToStrF(Main.Kdop,ffFixed,15,2);Writeln (f,Trim(s2),' ;Kdop');
   s2:=FloatToStrF(Main.L,ffFixed,15,2);Writeln (f,Trim(s2),' ;L');
   s2:=FloatToStrF(Main.T,ffFixed,15,2);Write (f,Trim(s2),' ;T');
   s2:=FloatToStrF(Main.Hpr,ffFixed,15,2);Write (f,Trim(s2),' ;Hpr');
   CloseFile(F);
   ShowMessage ('     '+SaveDialog2.FileName);
  end;
 end;
 Close;
end;

procedure TDataForm.Button2Click(Sender: TObject);
begin
 CheckOff;
 Close;
end;

procedure TDataForm.Edit1Change(Sender: TObject);
begin
 Changed1:=True;
end;

procedure TDataForm.FormActivate(Sender: TObject);
begin
 Changed1:=False;
end;

end.
